/* #region GENERAL */

:root {

    --color-primary: #2bb673;
    --color-primary-dark: #1f8a56;

    --color-black: #111111;
    --color-text: #333333;

    --color-gray: #f5f5f5;
    --color-white: #ffffff;

}

body {
    margin: 0;
    color: var(--color-text);
    background-color: whitesmoke;
}

body {
    font-family: system-ui, -apple-system, BlinkMacSystemFont,
        "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
}
html, body {
    overflow-x: hidden;
    max-width: 100%;
}
a {
    color: var(--color-primary);
    text-decoration: none;
}

a:hover {
    color: var(--color-primary-dark);
}

.btn-primary {

    background: var(--color-primary);
    color: white;

    padding: 10px 18px;
    border-radius: 6px;

    display: inline-block;

}

.btn-primary:hover {
    background: var(--color-primary-dark);
}

section {

    padding: 60px 20px;

}

.container {

    max-width: 1200px;
    margin: 0 auto;

    padding-left: 40px;
    padding-right: 40px;


}

.btn-cta {
    display: inline-block;
    padding: 14px 22px;
    background: #2fb36f;
    color: #ffffff;
    text-decoration: none;
    font-weight: 600;
    font-size: 16px;
    border-radius: 8px;
    transition: all 0.2s ease;
    border: 2px solid #2fb36f;
}

.btn-cta:hover {
    background: #24995d;
    border-color: #24995d;
    color: #ffffff;
    transform: scale(1.05);
}

.btn-cta-outline {
    display: inline-block;
    padding: 14px 22px;
    background: whitesmoke;
    color: #2fb36f;
    text-decoration: none;
    margin-left: 1rem;
    font-weight: 600;
    font-size: 16px;
    border-radius: 8px;
    border: 2px solid #2fb36f;
    transition: all 0.2s ease;
}

.btn-cta-outline:hover {
    background: #2fb36f;
    color: #ffffff;
    transform: scale(1.05);
}

/* #endregion */

/* #region Encabezados */


/* HEADER */

#mainHeader {

    position: fixed;
    top: 0;
    left: 0;
    width: 100%;

    background: white;

    z-index: 9999;

    transition: all 0.3s ease;

    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);

}


/* CONTENEDOR */

.header-container {

    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 20px 40px;

    transition: all 0.3s ease;

}


/* LOGO GRANDE */

.logo img {

    height: 80px;
    transition: all 0.3s ease;

}


/* MENU */

.menu a {

    margin: 0 15px;
    text-decoration: none;

    color: #333;

    font-family: 'Jost', Arial, sans-serif;

    font-weight: 500;

    text-transform: uppercase;

    font-size: 14px;

    letter-spacing: 1px;

    padding-bottom: 4px;

    border-bottom: 2px solid transparent;

    transition: 0.2s;

}

.menu a:hover {

    border-bottom: 2px solid var(--color-primary);

    color: black;

}


/* BOTON */

.btn-contacto {

    background: var(--color-primary);
    color: white;
    padding: 8px 14px;
    border-radius: 6px;

}


/* TELEFONO */

.phone a {

    border: 2px solid var(--color-primary);

    padding: 8px 14px;

    border-radius: 4px;



    font-weight: 600;

    text-decoration: none;

}

.phone a:hover {

    background: var(--color-primary);
    color: white;

}


/* ===== SCROLL ===== */

#mainHeader.scrolled .header-container {

    padding: 5px 40px;

}

#mainHeader.scrolled .logo img {

    height: 45px;

}

/* #endregion */


/* #region cuerpo */
/* CONTAINER */

.container {
    max-width: 1200px;
    margin: auto;
    padding: 40px 20px;
}

/* #endregion */


/* #region FOOTER */

#mainFooter {
    background: #111;
    color: white;
    margin-top: 60px;
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}

.footer-col {
    flex: 1;
    min-width: 200px;
}

.footer-col h3,
.footer-col h4 {
    margin-bottom: 10px;
}

.footer-col ul {
    list-style: none;
    padding: 0;
}

.footer-col ul li {
    margin-bottom: 6px;
}

.footer-col a {
    color: #ccc;
    text-decoration: none;
}

.footer-col a:hover {
    color: white;
}


.footer-bottom {
    background: #000;
    text-align: center;
    padding: 15px;
    font-size: 14px;
}

.footer-disclaimer {
    font-size: 12px;
    color: #aaa;
    margin-top: 5px;
}

.fade-in {
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s ease;
}

.fade-in.show {
    opacity: 1;
    transform: translateY(0);
}

/* #endregion */


/* #region Testimonios */

#testimonios {

    background: var(--color-gray);

}

.testimonios-grid {

    display: flex;
    gap: 20px;
    flex-wrap: wrap;

}

.testimonio {

    background: white;

    padding: 20px;

    border-radius: 6px;

    flex: 1;
    min-width: 250px;

    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);

}

.testimonio span {

    display: block;
    margin-top: 10px;

    font-weight: 600;

    color: var(--color-primary);

}


/* #endregion */


/* #region Hero */

#hero {

    background: #f3f3f3 url("/assets/img/hero.webp") no-repeat right center;

    background-size: contain;

    padding: 120px 0;

    position: relative;

}


/* degradado */

#hero::before {

    content: "";

    position: absolute;

    left: 0;
    top: 0;
    bottom: 0;

    width: 55%;

    background: linear-gradient(
        to right,
        #f3f3f3 65%,
        rgba(243,243,243,0)
    );

}


/* contenedor */

.hero-inner {

    max-width: 1200px;
    margin: auto;

    position: relative;
    z-index: 2;

    padding-left: 60px;
    padding-right: 60px;

}


/* texto */

.hero-text {

    width: 50%;

}

.hero-text h1 {

    font-size: 56px;
    font-weight: 700;
    line-height: 1.1;

}

.green {

    color: var(--color-primary);

}

.hero-text p {

    margin-top: 20px;
    font-size: 18px;

}


/* botones */

.hero-buttons {

    margin-top: 25px;

}


/* =========================
MOBILE SIN IMAGEN
========================= */

@media (max-width: 900px) {

    #hero {

        background: #f3f3f3;

        padding: 80px 20px;

    }

    #hero::before {

        display: none;

    }

    .hero-text {

        width: 100%;
        text-align: center;

    }

    .hero-text h1 {

        font-size: 30px;

    }

    .hero-inner {

        padding-left: 0;
        padding-right: 0;

    }

}

/* #endregion */

/* #region Servicios */

.services {

    padding: 25px 20px;
    background: var(--color-gray);

}

.services__container {

    max-width: 1200px;
    margin: 0 auto;

}

.services__grid {

    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
    align-items: center;

}

.services__image img {

    width: 100%;
    border-radius: 10px;

}

.services__title {

    font-size: 32px;
    margin-bottom: 15px;

}

.services__text {

    margin-bottom: 20px;
    color: #555;

}

.services__list {

    list-style: none;
    padding: 0;

}

.services__list li {

    margin-bottom: 10px;
    padding-left: 25px;
    position: relative;

}

.services__list li::before {

    content: "✔";
    position: absolute;
    left: 0;
    color: var(--color-primary);

}

@media (max-width: 900px) {

    .services__grid {

        grid-template-columns: 1fr;

    }

}

/* #endregion */

/* #region Beneficios */

/* ===== PORQUE ===== */

.section-porque {

    background: #f5f7f6;
    padding: 80px 0;

}

.porque-row {

    display: flex;
    align-items: center;
    gap: 60px;

}

.porque-text {

    flex: 1;

}

.porque-text h2 {

    font-size: 36px;
    margin-bottom: 15px;

}

.porque-sub {

    font-size: 17px;
    color: #555;
    margin-bottom: 20px;

}

.porque-list {

    list-style: none;
    padding: 0;
    margin: 0;

}

.porque-list li {

    margin-bottom: 10px;
    padding-left: 26px;
    position: relative;

}

.porque-list li::before {

    content: "✔";
    position: absolute;
    left: 0;
    color: #2bb673;
    font-weight: bold;

}

.porque-buttons {

    margin-top: 25px;

}

.porque-image {

    flex: 1;
    text-align: center;

}

.porque-image img {

    width: 100%;
    max-width: 520px;
    border-radius: 12px;

}


/* ===== MOBILE ===== */

@media (max-width: 900px) {

    .porque-row {

        flex-direction: column;

    }

}

/* ===== SOPORTE ===== */

.section-soporte {

    background: white;
    padding: 80px 0;

}

.soporte-box {

    text-align: center;

}

.soporte-box h2 {

    font-size: 34px;
    margin-bottom: 10px;

}

.soporte-sub {

    color: #555;
    margin-bottom: 40px;

}

.soporte-grid {

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 25px;

}

.soporte-item {

    background: #f5f7f6;
    padding: 25px;
    border-radius: 10px;

}

.soporte-icon {

    font-size: 28px;
    margin-bottom: 10px;

}

.soporte-item h3 {

    font-size: 18px;
    margin-bottom: 8px;

}

.soporte-item p {

    font-size: 14px;
    color: #555;

}

.soporte-buttons {

    margin-top: 35px;

}


/* MOBILE */

@media (max-width: 900px) {

    .soporte-grid {

        grid-template-columns: 1fr;

    }

}

/* #endregion */

/* #region Empresarial */

/* ===== BUSINESS ===== */

.section-business {

    background: white;
    padding: 80px 0;

}

.business-row {

    display: flex;
    align-items: center;
    gap: 60px;

}

.business-text {

    flex: 1;

}

.business-text h2 {

    font-size: 36px;
    margin-bottom: 10px;

}

.business-sub {

    color: #555;
    margin-bottom: 20px;

}

.business-list {

    list-style: none;
    padding: 0;
    margin: 0 0 20px 0;

}

.business-list li {

    margin-bottom: 8px;
    padding-left: 24px;
    position: relative;

}

.business-list li::before {

    content: "✔";
    position: absolute;
    left: 0;
    color: #2bb673;

}

.business-note {

    font-size: 14px;
    color: #666;
    margin-top: 10px;

}

.business-buttons {

    margin-top: 20px;

}

.business-image {

    flex: 1;
    text-align: center;

}

.business-image img {

    width: 100%;
    max-width: 520px;
    border-radius: 10px;

}

/* ===== BUSINESS SUPPORT ===== */

.section-business-support {

    background: #f5f7f6;
    padding: 80px 0;

}

.business-support-box {

    text-align: center;

}

.business-support-box h2 {

    font-size: 34px;
    margin-bottom: 10px;

}

.business-support-sub {

    color: #555;
    margin-bottom: 40px;

}

.business-support-grid {

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 25px;

}

.business-support-item {

    background: white;
    padding: 25px;
    border-radius: 10px;

}

.bs-icon {

    font-size: 28px;
    margin-bottom: 10px;

}

.business-support-item h3 {

    font-size: 18px;
    margin-bottom: 6px;

}

.business-support-item p {

    font-size: 14px;
    color: #555;

}

.business-support-buttons {

    margin-top: 35px;

}


/* MOBILE */

@media (max-width: 900px) {

    .business-support-grid {

        grid-template-columns: 1fr;

    }

}

/* MOBILE */

@media (max-width: 900px) {

    .business-row {

        flex-direction: column;

    }

}


/* #endregion */

/* #region Testimonios */
#testimonios .testimonio {
    text-align: center;
    padding: 20px;
}

#testimonios .testimonio-foto {
    width: 193px;
    height: 228px;
    border-radius: 19%;
    object-fit: cover;
    margin-bottom: 10px;
    margin-top: 17px;
}

#testimonios .testimonio-nombre {
    display: block;
    font-weight: 600;
    margin-top: 10px;
    color: #1f7a4c;
}

#testimonios .testimonio-estado {
    font-size: 13px;
    color: #777;
    margin-top: 3px;
}

/* #endregion */

/* #region Como */


.section-como {
    padding: 50px 0;
    position: relative;

    background-image: url("/assets/img/bg-como.webp");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}


/* overlay más fuerte */

.section-como::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgb(247 242 242 / 44%);
}


.section-como .container {
    position: relative;
    padding-top: 5px !important;
    z-index: 1;
}


/* título */

.section-como-title {
    text-align: center;
    font-size: 32px;
    color: #2fb36f;
    margin-bottom: 69px;
    text-transform: uppercase;
}


/* pasos */

.section-como-steps {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}


.section-como-step {
    flex: 1 1 220px;
    text-align: center;
}


/* círculo */

.section-como-num {
    width: 87px;
    height: 88px;
    border-radius: 50%;
    background: #ffffff;
    color: #2fb36f;
    font-size: 43px;
    font-weight: 700;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 12px;
}


/* títulos */

.section-como-step h3 {
    font-size: 23px;
    margin-bottom: 6px;
    color: #222;
}


/* texto explicación */

.section-como-step p {
    font-size: 17px;
    font-weight: 400;
    line-height: 1.5;
    color: #333;
}


/* botones */

.section-como-cta {
    margin-top: 40px;
    display: flex;
    justify-content: center;
    gap: 12px;
    flex-wrap: wrap;
}

/* #endregion */

/* #region Cobertura */

.section-cobertura {
    padding: 60px 0;
}


.section-cobertura-row {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    align-items: center;
}


.section-cobertura-text {
    flex: 1 1 229px;
}


.section-cobertura-text h2 {
    font-size: 1.8rem;
    color: #2bb673;
    margin-bottom: 3rem;
    margin-top: 1rem;
    text-transform: uppercase;
}


.section-cobertura-text p {
    margin-bottom: 12px;
    line-height: 1.6;
}


.section-cobertura-map {
    flex: 1 1 431px;
    text-align: center;
}


.section-cobertura-map img {
    max-width: 100%;
    height: auto;
}

/* #endregion */


/* #region Contacto */


/* =========================
   FORMULARIO DISPONIBILIDAD
========================= */

.section-form {
    width: 97%;
    position: relative;
    background-image: url("/assets/img/bg-form.webp");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}


.section-form::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgb(255 255 255 / 39%)
}

.section-form .container {
    position: relative;
    z-index: 2;
    padding: 60px 0;
}


.section-form-row {
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    align-items: center;
}


.section-form-col {
    flex: 1 1 400px;
}


.section-form-title {
    font-size: 30px;
    margin-bottom: 20px;
}



/* =========================
   CAJA FORM
========================= */

.form-box {
    border: 1px solid #ddd;
    padding: 22px;
    border-radius: 8px;
    background: #ffffff;
    padding-right: 4rem;
    padding-top: 3rem;
    padding-bottom: 3rem;
}



/* =========================
   CAMPOS
========================= */

.form-field {
    position: relative;
    margin-bottom: 18px;
}



/* INPUT */

.form-field input {

    width: 100%;
    padding: 22px 12px 10px;

    font-size: 16px;

    border: 1px solid #ccc;
    border-radius: 6px;

    outline: none;
    background: #fff;
}



/* LABEL DENTRO */

.form-field label {

    position: absolute;

    left: 12px;
    top: 18px;

    font-size: 16px;
    color: #888;

    transition: 0.2s;

    pointer-events: none;

    background: #fff;
    padding: 0 4px;
}



/* LABEL SUBE */

.form-field input:focus + label,
.form-field input.has-value + label {

    top: 4px;
    font-size: 12px;
    color: #2fb36f;

}



/* BOTON */

.form-box .btn-cta {
    margin-top: 10px;
}



/* ERROR */

.form-error {
    margin-top: 10px;
    color: red;
    font-size: 14px;
}



/* =========================
   IMAGEN
========================= */

.section-form-image img {
    max-width: 100%;
    height: auto;
    display: block;
}


/* #endregion */

/* #region FAQ */

.section-faq {
    padding: 60px 0;
    background: #f5f7f6;
}

.section-faq .row {
    align-items: center;
        display: flex;
}

/* columnas */

.section-faq .faq-left,
.section-faq .faq-right {
    flex: 0 0 50%;
    max-width: 50%;
}

.section-faq-cta {
    margin-bottom: 2rem;
}

/* espacios */

.section-faq .faq-left {
    padding-right: 20px;
}

.section-faq .faq-right {
    padding-left: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* imagen */

.section-faq .faq-right img {
    max-width: 90%;
    height: auto;
    display: block;
}

/* faq */

.section-faq .faq-item {
    border-bottom: 1px solid #ddd;
}

.section-faq .faq-question {
    width: 100%;
    text-align: left;
    padding: 14px;
    font-weight: 600;
    background: none;
    border: none;
    cursor: pointer;
}

.section-faq .faq-answer {
    display: none;
    padding: 0 14px 14px;
}

@media (max-width: 768px) {

    .section-faq .faq-left,
    .section-faq .faq-right {
        flex: 0 0 100%;
        max-width: 100%;
        padding: 0;
    }

    .section-faq .faq-right {
        margin-top: 30px;
    }

}

/* #endregion */


/* #region Moviles */

/* ===================================
RESPONSIVE PROFESIONAL
Mobile First Fix
=================================== */


/* ===== TABLET ===== */

@media (max-width: 992px) {

    .header-container {
        padding: 10px 20px;
    }

    .menu {
        display: none;
    }

    .phone {
        display: none;
    }

    .logo img {
        height: 50px;
    }

}


/* ===== HERO ===== */

@media (max-width: 900px) {

    #hero {

        background-position: center;
        background-size: cover;
        padding: 80px 20px;

    }

    #hero::before {
        width: 100%;
        background:
        rgba(243,243,243,.9);
    }

    .hero-text {

        width: 100%;

    }

    .hero-text h1 {

        font-size: 34px;

    }

    .hero-buttons {

        display: flex;
        flex-direction: column;
        gap: 10px;

    }

    .btn-cta-outline {

        margin-left: 0;

    }

}


/* ===== SERVICIOS ===== */

@media (max-width: 900px) {

    .services__grid {

        grid-template-columns: 1fr;

    }

}


/* ===== BENEFICIOS ===== */

@media (max-width: 900px) {

    .section-porque__row {

        flex-direction: column;

    }

    .section-porque__text {

        width: 100%;

    }

    .section-porque__image {

        position: relative;
        top: auto;
        left: auto;
        width: 100%;
        height: auto;

    }

    .section-porque__image::before {

        display: none;

    }

}


/* ===== TESTIMONIOS ===== */

@media (max-width: 768px) {

    .testimonios-grid {

        flex-direction: column;

    }

}


/* ===== COMO ===== */

@media (max-width: 768px) {

    .section-como-steps {

        flex-direction: column;

    }

}


/* ===== COBERTURA ===== */

@media (max-width: 900px) {

    .section-cobertura-row {

        flex-direction: column;

    }

}


/* ===== FORM ===== */

@media (max-width: 900px) {

    .section-form-row {

        flex-direction: column;

    }

}


/* ===== FAQ ===== */

@media (max-width: 900px) {

    .section-faq .row {

        flex-direction: column;

    }

}


/* ===== BOTONES ===== */

@media (max-width: 600px) {

    .btn-cta,
    .btn-cta-outline {

        width: 100%;
        text-align: center;

    }

}

.mobile-menu-btn {

    display: none;
    font-size: 22px;
    cursor: pointer;

}

@media (max-width: 992px) {

    .mobile-menu-btn {

        display: block;

    }

}

/* ===== MOBILE MENU ===== */

.mobile-menu-btn {

    display: none;
    font-size: 28px;
    cursor: pointer;

}


/* ocultar cosas en mobile */

@media (max-width: 992px) {

    .menu,
    .phone,
    .btn-contacto {

        display: none;

    }

    .mobile-menu-btn {

        display: block;

    }

}


/* ===== MENU ABIERTO ===== */

.mobile-open .menu {

    display: flex;
    flex-direction: column;

    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;

    background: white;

    padding: 20px;

    box-shadow: 0 5px 10px rgba(0,0,0,.1);

}

/* =========================
FIX CLS HEADER MOBILE
========================= */

@media (max-width: 992px) {

    .header-container {

        padding: 5px 15px !important;

    }

    .logo img {

        height: 45px !important;

    }

}


* {
    box-sizing: border-box;
}

img {
    max-width: 100%;
    height: auto;
}

section {
    width: 100%;
    overflow: hidden;
}


@media (max-width: 992px) {

    .section-porque__image {

        position: relative;
        left: 0;
        top: 0;
        width: 100%;
        height: auto;

    }

}

.section-form {
    width: 100%;
}

@media (max-width: 900px) {

    #hero {

        background-size: cover;
        overflow: hidden;

    }

}

.container,
.services__container,
.hero-inner {

    max-width: 100%;
    overflow: hidden;

}


/* ===== MOBILE ===== */

@media (max-width: 900px) {

    .section-porque__row {

        flex-direction: column;

    }

}

/* #endregion */

/* #region Ajustes Extras */

.container {

    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;

}

@media (min-width: 1200px) {

    .container {

        padding-left: 60px;
        padding-right: 60px;

    }

}

.section-porque .container {

    padding-left: 60px;
    padding-right: 60px;

}

.section-faq .container {

    padding-left: 60px;
    padding-right: 60px;

}

.hero-inner {

    padding-left: 60px;
    padding-right: 60px;

}

.footer-container {

    justify-content: space-between;

}

@media (max-width: 768px) {

    .footer-container {

        flex-direction: column;
        gap: 20px;

    }

}
/* #endregion */